Better ListView Class Reference |

# HashList(TKey,TValue) Members

HashList(TKey,TValue) overview

#### Public Instance Constructors

HashList(TKey,TValue) | Overloaded. Initializes a new instance of the HashList(TKey,TValue) class.

#### Public Instance Properties

Count | Gets the number of elements contained in the ICollection`1.
IsReadOnly | Gets a value indicating whether the ICollection`1 is read-only.
Item | Gets or sets the element with the specified key.
Keys | Gets an ICollection`1 containing the keys of the IDictionary`2.
Values | Gets an ICollection`1 containing the values in the IDictionary`2.

#### Public Instance Methods

Add | Overloaded. Adds an element with the provided key and value to the IDictionary`2.
Clear | Removes all items from the ICollection`1.
Contains | Determines whether the ICollection`1 contains a specific value.
ContainsKey | Determines whether the IDictionary`2 contains an element with the specified key.
CopyTo | Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.
EqualsContent |
GetEnumerator | Returns an enumerator that iterates through a collection.
Remove | Overloaded. Removes the element with the specified key from the IDictionary`2.
TryGetValue | Tries to get value for the specified key.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterListView.Collections Namespace